org.springframework.data.relational.core.sql.render

## Interface RenderNamingStrategy

    public interface RenderNamingStrategy

Naming strategy for SQL rendering.

Since:
  1.1
Author:
  Mark Paluch
See Also:
  `NamingStrategies`

### Method Summary

All Methods Instance Methods Default Methods
`default SqlIdentifier` `getName(Column column)` Return the `column name`.
`default SqlIdentifier` `getName(Table table)` Return the `table name`.
`default SqlIdentifier` `getReferenceName(Column column)` Return the `column reference name`.
`default SqlIdentifier` `getReferenceName(Table table)` Return the `table reference name`.
`default RenderNamingStrategy` `map(Function<String,String> mappingFunction)` Applies a `mapping function` after retrieving the object (column name, column reference name, …) name.

### Method Detail

#### getName

    default SqlIdentifier getName(Column column)

Return the `column name`.

Parameters:
  `column` - the column.
Returns:
  the `column name`.
See Also:
  `Column.getName()`

#### getReferenceName

    default SqlIdentifier getReferenceName(Column column)

Return the `column reference name`.

Parameters:
  `column` - the column.
Returns:
  the `column reference name`.
See Also:
  `()`

#### getName

    default SqlIdentifier getName(Table table)

Return the `table name`.

Parameters:
  `table` - the table.
Returns:
  the `table name`.
See Also:
  `Table.getName()`

#### getReferenceName

    default SqlIdentifier getReferenceName(Table table)

Return the `table reference name`.

Parameters:
  `table` - the table.
Returns:
  the `table name`.
See Also:
  `Table.getReferenceName()`

#### map

    default RenderNamingStrategy map(Function<String,String> mappingFunction)

Applies a `mapping function` after retrieving the object (column name, column reference name, …) name.

Parameters:
  `mappingFunction` - the function that maps an object name.
Returns:
  a new `RenderNamingStrategy` applying `mapping function`.